Bei mir sieht der Io Broker auf dem RasPI ganz anders aus als im Video. Alexa findet Sonoff Geräte nicht

  • ahhh habs gerade gesehen kann man unter "Übersicht" und dann oben Rechts auf Statistik sehen bei "Gesendete Daten"...


    schimmer-media.de/index.php?attachment/2191/


    Ich habe Version 1.2.3 Jetzt meine Frage, wie kann ich das ganze updaten und des weiteren würde ich gern wissen ob sich das auf meine bereist installierten Adapter auswirkt, nicht das die dann nicht mehr funktionieren etc. ?


    Oder generell welchen Vorteil ich überhaupt hätte wenn ich den neuen installiere.

  • ...dann mach gleich bei npm weiter, da ist 5.8.0 aktuell npm -v

    Die letzten Worte vor dem Weltuntergang: "...das ist technisch völlig unmöglich..."


    aktuelle Projekte: <<< Magic Mirror +++ RMS +++ Wetterstation +++ Somfy Fernbedienung >>>

  • Hi Dennis

    Und wie updatet man npm ?

    Gibt’s hier irgendwelche schwierigkeiten die zu beachten sind ?

    Hier kannst du nachlesen. Klick:)

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Bei meinem raspy funktioniert das nicht der Updatet nicht.


    Update und upgrade laufen durch, npm 3.10.10 ist drauf updaten geht nicht weder mit sudo npm cache clean und

    Code
    1. sudo npm install -g npm @latest

    Und node ist 6.14.1 und Js.controller 1.2.7 weder

    sudo iobroker update

    sudo iobroker upgrade self


    noch reboot oder überinstallieren geht.


    Ich raffs nicht.

  • um NPM zu updaten ist der Befehl den du da gepostet hast auch falsch, das hier ist der richtige weg den ich auch gegangen bin...


    Code
    1. sudo npm cache clean -f
    2. sudo npm update npm -g
    3. sudo npm install -g n
    4. sudo n stable

    weiß nicht wo du den anderen Weg her hast

  • Aus dem Iobroker forum, so Npm update hat geklappt allerdings hat er mir dann bei Update und Upgrade self das installiert



    Code
    1. "uuid": "089ae753-e684-bb6c-6da4-456a6f68b94c", "language": "de", "country": "Germany", "hosts": [ { "version": "1.2.7", "platform": "Javascript/Node.js", "type": "linux" } ], "node": "v9.10.1", "arch": "arm", "adapters": { "admin": { "version": "3.1.7", "platform": "Javascript/Node.js" }, "discovery": { "version": "1.1.0", "platform": "Javascript/Node.js" }, "web": { "version": "2.1.9", "platform": "Javascript/Node.js" }, "cloud": { "version": "2.5.0", "platform": "Javascript/Node.js" }, "javascript": { "version": "3.6.4", "platform": "Javascript/Node.js" }, "scenes": { "version": "1.0.2", "platform": "Javascript/Node.js" }, "sonoff": { "version": "1.0.0", "platform": "Javascript/Node.js" }, "mihome-vacuum": { "version": "1.0.1", "platform": "Javascript/Node.js" }, "terminal": { "version": "0.1.2", "platform": "Javascript/Node.js" }, "broadlink": { "version": "0.1.4", "platform": "Javascript/Node.js" }, "info": { "version": "0.1.0", "platform": "Javascript/Node.js" }, "places": { "version": "0.6.0", "platform": "Javascript/Node.js" } }, "model": "ARMv7 Processor rev 4 (v7l)", "cpus": 4, "mem": 972263424, "ostype": "Linux",

    Node 9.10.1 ?


    Und Node.js ist weiterhin 1.2.7

  • Hi Tyrannex


    Versuch zuerst alles auf den aktuellen Stand bringen.

    Und zwar so:


    sudo apt-get update && sudo apt-get upgrade


    sudo reboot


    Und dann iobroker - System update installieren:



    cd /opt/iobroker


    sudo iobroker stop


    sudo iobroker update


    sudo iobroker upgrade self


    sudo iobroker start


    Fertig.:)

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Genau nach dem schema macht er es ja nicht .


    Irgendwie ist es also ob er keine neue version läd.


    Update und upgrade laufen durch aber er ist aktuell , sagt er zumindetens.


    bei sudo iobroker update zeigt er mir die adapter inkl versionen , die aber nicht aktualliesiert wurden.


    bei sudo iobroker upgrade self sagt er Raspberry up to date fertig.

  • Welche Version wird bei dir bei Host angezeigt?

    Bei mir ist zum Beispiel die 1.3.0 Version installiert.

    schimmer-media.de/index.php?attachment/2206/

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • verfügbar 1.2.3 installiert 1.2.7 und jetzt mekert er rum wegen dem Node 9.10.1 , na super


    Wie bekomme ich den die wieder runter und die 6er drauf?


    Hatte die Befehle genau so wie Dennis schrieb ausgeführt .wieso heut der da die 9er drauf?

  • Als erste muss ich sagen, bevor man an einem System fummelt sollte man einen Backup parat haben.

    Versuche einmal das:


    Code
    1. sudo npm cache clean -f
    2. sudo npm install -g n
    3. sudo n 6.13.0

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Hast du versucht noch einmal das System Update durchzuführen?


    cd /opt/iobroker


    sudo iobroker stop


    sudo iobroker update


    sudo iobroker upgrade self


    sudo iobroker start


    Man könnte auch versuchen direkt unten Adapter das System Update aktualisieren, aber davon würde ich abraten.

    Die erste Wahl ist immer über die Konsole das zu machen.


    schimmer-media.de/index.php?attachment/2207/

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.


  • Über die Katze das System auf den neusten Stand bringen.


    Code
    1. https://github.com/ioBroker/ioBroker.js-controller.git



    schimmer-media.de/index.php?attachment/2208/

    Grüße Franz

    Raspberry Pi3, ioBroker, Broadlink Pro, Broadlink Mini, Harmony Hub, WD My Cloud, Funksteckdosen 433 MHz, Danny3 Sonoff Touch, Osram Smart+Plug, TP-Link HS 110 Wlan Steckdose, Xiaomi Yeelight, 2 Xiaomi Gateways + sämtliche Sensoren, Alexa, Google Home, iPad Air2, iMac.